snpLocs.Hs              package:GGBase              R Documentation

_S_N_P _l_o_c_a_t_i_o_n _a_c_c_e_s_s_o_r

_D_e_s_c_r_i_p_t_i_o_n:

     SNP location accessor

_U_s_a_g_e:

     snpLocs.Hs(cnum, rsid)

_A_r_g_u_m_e_n_t_s:

    cnum: chrnum instance indicating chromosome

    rsid: rsid instance giving dbSNP ids for snps of interest

_D_e_t_a_i_l_s:

     The SNPlocs.Hsapiens.dbSNP.* package is curated by Bioconductor
     and maintains location and allele information on SNP.

     The hsSnpLocs environment is available through data(hsSnpLocs),
     and contains a unified representation of the information in the
     SNPlocs package (which is only available through various
     chromosome-specific calls).

_V_a_l_u_e:

     two-row matrix - top row is numeric suffix of dbSNP ids, bottom
     row is location, genome-wide if chrnum is missing

_A_u_t_h_o_r(_s):

     Vince Carey <stvjc@channing.harvard.edu>

_E_x_a_m_p_l_e_s:

     library(GGtools)
     data(hmceuB36.2021)
     nn21 = colnames(smList(hmceuB36.2021)[["21"]])
     length(nn21)
     ss = snpLocs.Hs(chrnum(21), rsid(nn21))
     dim(ss)
     # notes that the locations available are not completely
     # congruent with those asserted in HapMap data

